package jp.agentec.sinaburocast.entity;

import java.sql.Timestamp;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.Version;

@Entity
@Table(name="t_enquete_summary")
public class EnqueteSummary extends AbstractEntity {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "enquete_summary_id")
	public Integer enqueteSummaryId;

	@Column(name = "enquete_id")
	public Integer enqueteId;

	@Column(name = "answer_count")
	public Integer answerCount;

	@Column(name = "output_csv_filename")
	public String outputCsvFilename;

	@Column(name = "output_html_filename")
	public String outputHtmlFilename;
	
	@Column(name = "output_mb_html_filename")
	public String outputMbHtmlFilename;
	
	@Column(name = "output_sp_html_filename")
	public String outputSpHtmlFilename;

	public Integer status;

	@Temporal(TemporalType.DATE)
	@Column(name = "summary_date")
	public Timestamp summaryDate;

    /** MEnquete関連プロパティ */
    @ManyToOne
    @JoinColumn(name = "enquete_id", referencedColumnName = "enquete_id")
    public Enquete enquete;
}
