package jp.agentec.sinaburocast.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;


@Entity
@Table(name="t_operation_history")
public class OperationHistory extends AbstractEntity {
	private static final long serialVersionUID = 1L;

    @Id
    @Column(name="operation_history_id")
    public Long operationHistoryId;

    @Column(name="operation_type_id")
    public Integer operationTypeId;

    @Column(name="admin_user_id")
    public Integer adminUserId;

    @Column(name="target")
    public String target;

    @Column(name="detail")
    public String detail;
    
    @Column(name="screen_Id")
    public String screenId;
    
    

    /** MAdminUser関連プロパティ */
    @ManyToOne
    @JoinColumn(name = "admin_user_id", referencedColumnName = "admin_user_id")
    public AdminUser adminUser;

    @ManyToOne
    @JoinColumn(name = "operation_type_id", referencedColumnName = "operation_type_id")
    public OperationType operationType;
    
    /** screen関連プロパティ */
    @ManyToOne
    @JoinColumn(name = "screen_id", referencedColumnName = "screen_id")
    public Screen screen;
    
    
}