package jp.agentec.sinaburocast.service;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.Resource;

import jp.agentec.sinaburocast.csv.OrganizationCsv;
import jp.agentec.sinaburocast.entity.AdminUser;
import jp.agentec.sinaburocast.entity.Organization;
import jp.agentec.sinaburocast.form.admin.support.OrganizationSearchForm;
import junit.framework.TestSuite;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.seasar.dao.unit.S2DaoTestCase;

public class OrganizationServiceTest extends S2DaoTestCase {

	@Resource
	private OrganizationService organizationService;

	public OrganizationServiceTest(String string) {
		super(string);
	}

	public static TestSuite suite() {
		TestSuite suite = new TestSuite("OrganizationServiceTest");

		suite.addTest(new OrganizationServiceTest("insertOrganizationTx"));
		suite.addTest(new OrganizationServiceTest("findById"));
		suite.addTest(new OrganizationServiceTest("findAllOrderById"));
		suite.addTest(new OrganizationServiceTest("findAllOrderByNo"));

		suite.addTest(new OrganizationServiceTest("findAllByPaging"));
		suite.addTest(new OrganizationServiceTest("organizationShelfRegistTx"));
		suite.addTest(new OrganizationServiceTest("getFindAllAndDonation"));
		return suite;
	}
//	public void testtest() {
//		System.out.println("212121");
//	}
	public void findById() {
		System.out.println(organizationService.findById(10));
	}

	public void insertOrganizationTx() {
		Organization organization = new Organization();
		organization.organizationNo = 1;
		organization.organizationName = "TETE";
		organization.version = 0;
		//organization.
		System.out.println(organizationService.insertOrganization(organization,"TEST"));
	}
	public void findAllOrderById() {
		System.out.println(organizationService.findAllOrderById());
	}
	public void findAllOrderByNo() {
		System.out.println(organizationService.findAllOrderByNo());
	}
	public void findAllByPaging() {
		OrganizationSearchForm organizationSearchForm  = new OrganizationSearchForm();
		organizationSearchForm.pageNo = 1;
		System.out.println(organizationService.findAllByPaging(organizationSearchForm));
	}
	public void organizationShelfRegistTx() {
		List<OrganizationCsv> organizationCsvList = new ArrayList<OrganizationCsv>();
		AdminUser adminUserInfo = new AdminUser();
		adminUserInfo.loginId = "test";
		System.out.println(organizationService.organizationShelfRegist(organizationCsvList,adminUserInfo));
	}

	public void getFindAllAndDonation() {
		System.out.println(organizationService.getFindAllAndDonation());
	}

	/**
	 * @throws java.lang.Exception
	 */
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@Before
	public void setUp() throws Exception {
        include("app.dicon");
	}

	/**
	 * @throws java.lang.Exception
	 */
	@After
	public void tearDown() throws Exception {
	}


}
